TAAS - Feature #156

Transaction Summary Report
02/21/2023 01:47 PM - Anil KV

Status: New Changes Coding Done
Priority: Normal

Assignee: Athira KK

Category:

Target version: 22.12

Owner(Agency): Travvise

Time Taken(HH):

Module: Financial Summary

Start date: 02/21/2023
Due date:

% Done: 70%
Estimated time: 0:00 hour
Spent time: 0:00 hour
Tested By: unnikannan S
Code Reviewed By:

Description

Coding Financial Summary

History

#1 - 04/03/2023 09:46 AM - Junaid M
- Assignee changed from Junaid M to Christy Saint

#2 - 05/31/2023 05:30 PM - Christy Saint
- Status changed from New to Coding Started
- % Done changed from 0 to 40

On holding

#3 - 06/06/2023 01:22 PM - Junaid M

- Status changed from Coding Started to Open

- Assignee changed from Christy Saint to Junaid M
- % Done changed from 40 to 10

#4 - 07/31/2023 10:48 AM - Anil KV
- Status changed from Open to New
- Assignee changed from Junaid M to travvise Admin

- % Done changed from 10 to 0

#5 - 07/31/2023 11:00 AM - Junaid M
Query

SEL
MIN
MIN
vhr
vhr
vhr
vhr

SUM
SUM

SUM
SUM

FROM

(SEL

05/04/2025

ECT fk_main_ledger_id,

(pk_account_id) AS pk_account_id,
(pk_transaction_id) AS pk_transaction_id,
_account_code, vhr_account_name,

_code as vhr_ml_code,

_name as vhr_ml_name,

_display_name,

(dbl_amount_dr) AS dbl_amount_dr,
(dbl_amount_cr) AS dbl_amount_cr,

(dbl_amount_ob_dr) AS dbl_amount_ob_dr,
(dbl_amount_ob_cr) AS dbl_amount_ob_cr

ECT ac.pk_account_id,
ac.vhr_account_code,
ac.vhr_account_name,
tr.pk_transaction_id,
tr.vhr_ledg_currency,
tr.vhr_base_currency,
tr.vhr_cons_currency,
tr.fk_main_ledger_id,
coa.vhr_code,
coa.vhr_name,
ac.vhr_display_name,

0.00 AS dbl_amount_dr,
0.00 AS dbl_amount_cr,

tr.dbl_ledg_cur_debit AS dbl_amount_ob_dr,
tr.dbl_ledg_cur_credit AS dbl_amount_ob_cr

FROM transaction.tbl_transaction AS tr

LEFT JOIN accounts.tbl_account AS ac ON tr.fk_ledger_id = ac.pk_ac
count_id

LEFT JOIN accounts.tbl_chart_of_ac AS coa ON coa.pk_chart_of_ac_id
= tr.fk_main_ledger_id

LEFT JOIN document.tbl_documents AS doc ON doc.pk_documents_id = t
r.fk_documents_id

——WHERE CONDITION OB DATA (Only Date Filter is different)

UNION ALL

SELECT ac.pk_account_id,
ac.vhr_account_code,
ac.vhr_account_name,
tr.pk_transaction_id,
tr.vhr_ledg_currency,
tr.vhr_base_currency,
tr.vhr_cons_currency,
tr.fk_main_ledger_id,
coa.vhr_code,
coa.vhr_name,
ac.vhr_display_name,

dbl_ledg_cur_debit AS dbl_amount_dr,
dbl_ledg_cur_credit AS dbl_amount_cr,

0.00 AS dbl_amount_ob_dr,
0.00 AS dbl_amount_ob_cr

FROM transaction.tbl_transaction as tr
LEFT JOIN accounts.tbl_account as ac ON tr.fk_ledger_id = ac.pk_ac
count_id
LEFT JOIN accounts.tbl_chart_of_ac as coa ON coa.pk_chart_of_ac_id
= tr.fk_main_ledger_id
LEFT JOIN document.tbl_documents as doc ON doc.pk_documents_id = t
r.fk_documents_id
——WHERE CONDITION CURRENT DATA
) As tmp
GROUP BY fk_main_ledger_id, vhr_account_code, vhr_account_name, vhr_code,
vhr_name, vhr_display_name
ORDER BY pk_account_id, fk_main_ledger_id

#6 - 08/08/2023 09:40 AM - Anil KV
- Status changed from New to Open

- % Done changed from 0 to 10

#7 - 08/08/2023 12:03 PM - Junaid M

- Assignee changed from travvise Admin to Amal Siby

#8 - 08/22/2023 12:25 PM - Amal Siby
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#9 - 08/24/2023 07:27 PM - Amal Siby
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#10 - 09/04/2023 06:12 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.SHOWING OPENING BALANCE US NET IN GRID

2.MAIN LEDGER FILTER TAB NOT WORKING

3.ACCOUNT CATEGORY WISE FILTER NOT WORKING
4.SHOWING ALL BALANCE AMOUNT US NET AMOUNT IN PRINT

#11 - 09/07/2023 06:56 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Reported Bug Fixed.

#12 - 11/16/2023 01:07 PM - unnikannan S

- Subject changed from Financial Summary to Transaction Summary Report

#13 - 11/17/2023 06:27 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOW DATA AS PER CHOOSEN ACCOUNT CATEGORY
2.SHOW NO DATA FOUND MESSAGE

#14 - 11/30/2023 09:47 AM - Junaid M
- Assignee changed from Amal Siby to Shahil Haris

#15 - 12/01/2023 10:53 AM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 12/01/2023 02:30 PM - unnikannan S
TESTING DONE

#17 - 12/01/2023 02:31 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.SHOW VALID DATA AS PER ACCOUNT CATEGORY FILTER SEARCH
#18 - 12/01/2023 03:19 PM - Shahil Haris

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#19 - 12/01/2023 06:34 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50
#20 - 12/09/2023 03:04 PM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#21 - 12/11/2023 04:39 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOWING PRINT AS BLANK WHILE GROUPING WITH MAIN LEDGER
2.SHOW DATA AS PER CHOOSEN TRANSACTION DATE

#22 - 12/12/2023 07:12 PM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#23 - 12/15/2023 11:06 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#24 - 12/15/2023 04:32 PM - Anil KV
- Assignee changed from Shabhil Haris to Athul P

#25 - 01/31/2024 11:28 AM - Junaid M
- Assignee changed from Athul P to Vivekp V

#26 - 01/31/2024 01:30 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.SHOWING PRINT AS BLANK WHILE GROUPING WITH MAIN LEDGER
2.SHOW DATA AS PER CHOOSEN TRANSACTION DATE

#27 - 03/06/2024 12:34 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.ADJUST ALLIGMENTS BETWEEN Ul FIELDS IN CASE OF EXPANDING
#28 - 03/06/2024 05:01 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

ISSUE FIXED

1.ADJUST ALLIGMENTS BETWEEN Ul FIELDS IN CASE OF EXPANDING
#29 - 09/27/2024 04:19 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#30 - 02/26/2025 12:56 PM - Theja Ponon

- Status changed from Testing Done to New Changes
- % Done changed from 90 to 50

New Change

1)Remove ledger from grouping type
2)Add Mainledger/coa , no grouping(show in defualt) in grouping type

#31 - 02/26/2025 12:57 PM - Theja Ponon
- Assignee changed from Vivekp V to Athira KK

#32 - 02/27/2025 11:44 AM - Athira KK
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70
